name: hoopl
version: 3.9.0.0
id: hoopl-3.9.0.0-58ad2271c96919cc16523453148af44d
license: BSD3
copyright:
maintainer: nr@cs.tufts.edu
stability:
homepage: http://ghc.cs.tufts.edu/hoopl/
package-url:
synopsis: A library to support dataflow analysis and optimization
description: Higher-order optimization library
             .
             Changes in 3.9.0.0
             .
             * Lots of API changes; mainly a new API for working with Blocks
category: Compilers/Interpreters
author: Norman Ramsey, João Dias, Simon Marlow and Simon Peyton Jones
exposed: True
exposed-modules: Compiler.Hoopl Compiler.Hoopl.Internals
                 Compiler.Hoopl.Wrappers Compiler.Hoopl.Passes.Dominator
                 Compiler.Hoopl.Passes.DList
hidden-modules: Compiler.Hoopl.Checkpoint
                Compiler.Hoopl.Collections Compiler.Hoopl.Combinators
                Compiler.Hoopl.Dataflow Compiler.Hoopl.Debug Compiler.Hoopl.Block
                Compiler.Hoopl.Graph Compiler.Hoopl.Label Compiler.Hoopl.MkGraph
                Compiler.Hoopl.Fuel Compiler.Hoopl.Pointed Compiler.Hoopl.Shape
                Compiler.Hoopl.Show Compiler.Hoopl.Unique Compiler.Hoopl.XUtil
trusted: False
import-dirs: /usr/lib/ghc-7.6.3/hoopl-3.9.0.0
library-dirs: /usr/lib/ghc-7.6.3/hoopl-3.9.0.0
hs-libraries: HShoopl-3.9.0.0
extra-libraries:
extra-ghci-libraries:
include-dirs:
includes:
depends: base-4.6.0.1-4bcc6d6b73091272e4add56b423d4d2f
         containers-0.5.0.0-3b8b869ec10d44736414ab5bea776319
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/share/doc/ghc/html/libraries/hoopl-3.9.0.0/hoopl.haddock
haddock-html: /usr/share/doc/ghc/html/libraries/hoopl-3.9.0.0
